ActionFormTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.struts.ActionFormTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts
Class ActionFormTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.apache.struts.ActionFormTagsHandler

public class ActionFormTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.2 $
Author:
  Matt Raible (matt@raibledesigns.com)
xdoclet.taghandler
  namespace="ActionForm"
created
  April 26, 2004

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ActionFormTagsHandler()`

Method Summary
`String` | `actionFormClass()` Return the class name for the current class.
`String` | `actionFormName()`
`void` | `forAllFormFields(String template)` Evaluates body for all fields included in form generation
`static String` | `getActionFormClassFor(xjavadoc.XClass clazz)` Gets the ActionFormClassFor attribute of the ActionFormTagsHandler class.
`static String` | `getActionFormClassName(xjavadoc.XClass clazz)` Gets the ActionFormClassName attribute of the ActionFormTagsHandler class
`protected static String` | `getActionFormClassPattern()` Gets the ActionFormClassPattern attribute of the ActionFormTagsHandler class
`static boolean` | `hasFormDefinition(xjavadoc.XClass clazz)` Return true if at least one struts:form tag is defined.
`void` | `ifUseMethodInForm(String template)` Evaluates the body if the method belongs in a given form.
`protected boolean` | `useMethodInForm(xjavadoc.XMethod method)` Check that method has struts:form-field tag with valid name, or is pk field (and pk fields are included) or include-all="true".

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFormTagsHandler

    public ActionFormTagsHandler()

Method Detail

### getActionFormClassFor

    public static String getActionFormClassFor(xjavadoc.XClass clazz)
                                        throws XDocletException

  Gets the ActionFormClassFor attribute of the ActionFormTagsHandler class.

  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The ActionFormClassFor value
  Throws:
    `XDocletException` - Describe the exception

### getActionFormClassName

    public static String getActionFormClassName(xjavadoc.XClass clazz)
                                         throws XDocletException

  Gets the ActionFormClassName attribute of the ActionFormTagsHandler class

  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The ActionFormClassName value
  Throws:
    `XDocletException` - Describe the exception

### hasFormDefinition

    public static boolean hasFormDefinition(xjavadoc.XClass clazz)
                                     throws XDocletException

  Return true if at least one struts:form tag is defined.

  Parameters:
    `clazz` - Class to check
  Returns:
    whether class has struts:form tag defined
  Throws:
    `XDocletException` - Description of Exception

### getActionFormClassPattern

    protected static String getActionFormClassPattern()

  Gets the ActionFormClassPattern attribute of the ActionFormTagsHandler class

  Returns:
    The ActionFormClassPattern value

### actionFormClass

    public String actionFormClass()
                           throws XDocletException

  Return the class name for the current class.

  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### actionFormName

    public String actionFormName()
                          throws XDocletException

  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"

### forAllFormFields

    public void forAllFormFields(String template)
                          throws XDocletException

  Evaluates body for all fields included in form generation

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"

### ifUseMethodInForm

    public void ifUseMethodInForm(String template)
                           throws XDocletException

  Evaluates the body if the method belongs in a given form.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### useMethodInForm

    protected boolean useMethodInForm(xjavadoc.XMethod method)
                               throws XDocletException

  Check that method has struts:form-field tag with valid name, or is pk field (and pk fields are included) or include-all="true".

  Parameters:
    `method` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD